# NCollection_DefineSequence.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_Sequence.hxx>`

## Defines

#define | DEFINE_SEQUENCE(_ClassName_, _BaseCollection_, TheItemType) typedef NCollection_Sequence<TheItemType > _ClassName_;

## Define Documentation

#define DEFINE_SEQUENCE | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheItemType |  | ) | typedef NCollection_Sequence<TheItemType > _ClassName_;